Page MenuHomePhabricator

Restrict uploads to sysop on wikimania2018wiki
Closed, ResolvedPublic

Description

Per T155038#4299441 and Peter Southwood's approval via email, it would make sense to disable upload to non-admins (while keeping upload enabled to admins). See T129845 for the reason I would prefer it restricted.

Wikimania wiki series is not a content wiki with any sort of community, therefore no Community-consensus-needed. Approval from Wikimania organization team should suffice. (I can forward the email if desired.)

Related Objects

Event Timeline

revi created this task.Jun 19 2018, 6:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 6:02 PM
revi moved this task from Incoming to Doing on the User-revi board.Jun 19 2018, 6:02 PM

Change 441076 had a related patch set uploaded (by Revi; owner: Revi):
[operations/mediawiki-config@master] Add wikimania2018wiki to commonsupload.dblist

https://gerrit.wikimedia.org/r/441076

Change 441076 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wikimania2018wiki to commonsupload.dblist

https://gerrit.wikimedia.org/r/441076

Mentioned in SAL (#wikimedia-operations) [2018-06-25T13:27:12Z] <hashar@deploy1001> Synchronized dblists/commonsuploads.dblist: Add wikimania2018wiki to commonsupload.dblist | T197714 (duration: 00m 56s)

revi moved this task from Doing to Closed on the User-revi board.Jun 26 2018, 8:21 AM
Vvjjkkii renamed this task from Restrict uploads to sysop on wikimania2018wiki to 9maaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed revi as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:02 AM
CommunityTechBot renamed this task from 9maaaaaaaa to Restrict uploads to sysop on wikimania2018wiki.Jul 2 2018, 11:43 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to revi.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Dereckson.